Videos
List
GET
/
packages
/
{packageId}
/
videos
List
curl --request GET \
--url https://sandbox.syngrafii.com/api/v1/packages/{packageId}/videos \
--header 'api_key: <api-key>'import requests
url = "https://sandbox.syngrafii.com/api/v1/packages/{packageId}/videos"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://sandbox.syngrafii.com/api/v1/packages/{packageId}/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"packageId": "<string>",
"videos": [
{
"meetingVideoId": "<string>",
"meetingVideoSharedId": "<string>",
"meetingId": "<string>",
"meetingSessionId": "<string>",
"externalVideoId": "<string>",
"externalStorageId": "<string>",
"timeCreated": "<string>",
"timeRetention": "<string>",
"timeDeleted": "<string>",
"duration": "<string>",
"size": 123,
"source": "<string>",
"type": "<string>",
"state": "<string>",
"url": "<string>",
"timeUrlExpires": "<string>"
}
]
}You can retrieve the list of videos associated with a package by calling the
/packages/{packageId}/videos endpoint.
The response will include one or more video URLs that can be used to download or playback the video.
The video URL will expire based on the value of
video.timeUrlExpires (currently 24 hours).The call to
/packages/{packageId} endpoint will also include videos URLs under meetings[].sessions[].videos[].See the Packages get API for more information.Request
Request
GET /packages/{packageId}/videos
Parameters
string
required
Unique identifier of the package to retrieve videos for.
Response
string
Unique identifier of the package videos were recorded for.
object[]
List of meeting videos associated with the package.
Show properties
Show properties
string
Unique identifier for the video.
string
Shared identifier for the video.
string
Identifier of the meeting the video belongs to.
string
Identifier of the meeting session.
string
External system identifier for the video (if available).
string
External storage identifier for the video (if available).
string
Creation time (ISO 8601 date-time).
string
Retention expiry time (ISO 8601 date-time).
string
Deletion time (ISO 8601 date-time).
string
Video duration (ISO 8601 duration).
number
Size of the video in bytes.
string
Source of the video.
string
Type of video.
Show values
Show values
| Value | Description |
|---|---|
| video | Standard video recording. |
string
Current state of the video.
Show values
Show values
| Value | Description |
|---|---|
| started | Video recording session is currently active. |
| stopped | Video recording session ended successfully. |
| queued | Video recording is waiting to download. |
| failed | Video recording failed to download because of an error. |
| archived | Video recording has been successfully downloaded and is available for playback. |
| deleted | Video recording has been permanently removed. |
string
Temporary URL to download or playback the video.
Expires based on
timeUrlExpires.string
Expiration time for the temporary URL (ISO 8601 date-time).
Response examples
Response (200)
{
"packageId": "26dc68b2-e8be-4594-9a27-8fc6db91f6fc",
"videos": [
{
"meetingVideoId": "919a16f5-7ada-44ff-9dc4-37a20fe4e4c4",
"timeCreated": "2019-07-15T16:53:44.342Z",
"duration": "PT5M12S",
"size": 4402007,
"type": "video",
"state": "archived",
"url": "https://syngrafii.com/video/xxxx?access=yyyy",
"timeUrlExpires": "2019-08-22T19:05:54.8535047Z"
},
{
"meetingVideoId": "5dac6b3a-a61c-4094-bdab-0b073436c0a9",
"timeCreated": "2019-07-15T16:58:58.219Z",
"duration": "PT2M7S",
"size": 2505995,
"type": "video",
"state": "archived",
"url": "https://syngrafii.com/video/xxxx?access=yyyy",
"timeUrlExpires": "2019-08-22T19:05:54.8535047Z"
}
]
}
Response (packages/{packageId})
{
"packageId": "26dc68b2-e8be-4594-9a27-8fc6db91f6fc",
"name": "Signing",
"timeCreated": "2019-07-15T15:03:41Z",
"type": "video_closing_room",
"state": "open",
"meetings": [
{
"meetingId": "91dbac93-f7c3-4ff1-932c-684b439c6af4",
"timeStart": "2019-07-15T15:15:00Z",
"duration": "PT1H",
"participants": [...],
"sessions": [
{
"meetingSessionId": "f85a4fa1-b173-40d6-a047-53238d69f34a",
"timeStarted": "2019-07-15T16:53:28.316Z",
"timeEnded": "2019-07-15T17:56:42.983Z",
"state": "ended",
"participants": [...],
"videos": [
{
"meetingVideoId": "919a16f5-7ada-44ff-9dc4-37a20fe4e4c4",
"timeCreated": "2019-07-15T16:53:44.342Z",
"duration": "PT5M12S",
"size": 4402007,
"type": "video",
"state": "archived",
"url": "https://syngrafii.com/video/xxxx?access=yyyy",
"timeUrlExpires": "2019-08-22T19:05:54.8535047Z"
},
{
"meetingVideoId": "5dac6b3a-a61c-4094-bdab-0b073436c0a9",
"timeCreated": "2019-07-15T16:58:58.219Z",
"duration": "PT2M7S",
"size": 2505995,
"type": "video",
"state": "archived",
"url": "https://syngrafii.com/video/xxxx?access=yyyy",
"timeUrlExpires": "2019-08-22T19:05:54.8535047Z"
}
]
}
]
}
],
"documents": [...],
"signers": [...]
}
⌘I
List
